petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMKSPGetComputeOperators

get KSP matrix evaluation function

### Synopsis

    #include "petscksp.h"
    PetscErrorCode DMKSPGetComputeOperators(DM dm,PetscErrorCode (**func)(KSP,Mat,Mat,void*),void *ctx)

Not Collective

### Input Argument

dm -DM to be used with KSP

### Output Arguments

| func | - matrix evaluation function, see KSPSetComputeOperators() for calling sequence
| ctx | - context for matrix evaluation

### See Also

DMKSPSetContext(), KSPSetComputeOperators(), DMKSPSetComputeOperators()

Level:advanced
Location:src/ksp/ksp/interface/dmksp.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages